Amazon Linux 2022:(ALAS2022-2022-178)

high Nessus 插件 ID 167009

简介

远程 Amazon Linux 2022 主机缺少安全更新。

描述

因此,该应用程序受到 ALAS2022-2022-178 公告中提及的漏洞的影响。

- lxml 指使用 Python 语言处理 XML 和 HTML 的库。在 4.6.5 之前的版本中,lxml.html 中的 HTML Cleaner 允许某些专门构建的脚本内容以及使用数据 URI 嵌入的 SVG 文件中的脚本内容通过。在与安全性有关的上下文中使用 HTML Cleaner 的用户应升级至 lxml 4.6.5,以便接收补丁。没有已知的解决方法可用。(CVE-2021-43818)

请注意,Nessus 尚未测试此问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

运行“dnf update python-lxml --releasever=2022.0.20221102”以更新系统。

另见

https://alas.aws.amazon.com/cve/html/CVE-2021-43818.html

https://alas.aws.amazon.com/AL2022/ALAS-2022-178.html

插件详情

严重性: High

ID: 167009

文件名: al2022_ALAS2022-2022-178.nasl

版本: 1.2

类型: local

代理: unix

发布时间: 2022/11/4

最近更新时间: 2022/11/4

支持的传感器: Frictionless Assessment AWS, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment

风险信息

VPR

风险因素: Medium

分数: 4.9

CVSS v2

风险因素: Medium

基本分数: 6.8

时间分数: 5

矢量: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

时间矢量: CVSS2#E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2021-43818

CVSS v3

风险因素: High

基本分数: 7.1

时间分数: 6.2

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:L

时间矢量: CVSS:3.0/E:U/RL:O/RC:C

漏洞信息

CPE: cpe:2.3:o:amazon:linux:2022:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:python-lxml-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:python3-lxml:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:python3-lxml-debuginfo:*:*:*:*:*:*:*

必需的 KB 项: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

易利用性: No known exploits are available

补丁发布日期: 2022/11/1

漏洞发布日期: 2021/12/13

参考资料信息

CVE: CVE-2021-43818